<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2007 (http://www.altova.com) by Tomas Silar (LogicaCMG s.r.o.) -->
<!-- edited with XMLSpy v2007 sp2 (http://www.altova.com) by Tomas Silar (LogicaCMG s.r.o.) -->
<!-- edited with XMLSPY v2004 rel. 4 U (http://www.xmlspy.com) by Jakub Jicha (LogicaCMG s.r.o.) -->
<xsd:schema xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns="http://www.ote-cr.cz/schema/common/market/request" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.ote-cr.cz/schema/common/market/request" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:element name="COMMONMARKETREQ">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Document" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Informace o požadovaném dokumentu.
Pokud není tento tag přítomen, očekává se jednorázová odpověď. Pokud je přítomen, atribut periodic určuje, jestli se nastavuje nebo ruší periodické zasílání dat.</xsd:documentation>
						<xsd:documentation xml:lang="EN">Information about requested documentation.
If the tag is not present, single-shot answer is expected. If it's present, attribute periodic determine the periodic or non-periodic data sending.</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:attribute name="market" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Druh trhu</xsd:documentation>
								<xsd:documentation xml:lang="EN">Market type</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="DT">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Denní trh</xsd:documentation>
											<xsd:documentation xml:lang="EN">Day ahead market</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="VDT">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Požadavek na vnitrodenní trh</xsd:documentation>
											<xsd:documentation xml:lang="EN">Intra-day market request</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="VT">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Vyrovnávací trh</xsd:documentation>
											<xsd:documentation xml:lang="EN">Balancing market</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="VTI">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Vyrovnávací trh – Indikativní poptávka</xsd:documentation>
											<xsd:documentation xml:lang="EN">Balancing market - Indicative bid</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="DVS">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Dvoustranné smlouvy</xsd:documentation>
											<xsd:documentation xml:lang="EN">Bilateral contracts</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="OKO">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Krátkodobý obchod</xsd:documentation>
											<xsd:documentation xml:lang="EN">Short-term trade</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="task-id" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Referenční číslo výměny dat pro účely asynchronní komunikace HHTPs kanálem</xsd:documentation>
								<xsd:documentation xml:lang="EN">Reference number of data exchange for HHTPs channel asynchronous communication</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="ote:task_id"/>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jednoznačný identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Unique message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Upřesnění obsahu zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message content specification</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="923">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Žádost o předání dat asynchronních požadavků - služba MarketService</xsd:documentation>
								<xsd:documentation xml:lang="EN">Request for IS OTE data handover - MarketService</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="994">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Požadavek na kontrolu spojení server-server a na předání neodeslaných zpráv IS OTE - služba MarketService</xsd:documentation>
								<xsd:documentation xml:lang="EN">Request for server-server connection control and for delivery of non-sent IS OTE messages - MarketService</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="language" type="ote:language" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jazyk zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message language</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>
